package com.hdkj.lt.bf.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hdkj.lt.bf.entity.vo.*;
import com.hdkj.lt.core.bizms.modle.dto.SchemeQueryDTO;

import java.util.List;
import java.util.Map;

/**
 * 停电计划转供方案检查查询
 * @author zhuzhe
 * @since 2025-05-16
 */
public interface FhzgPlanProcessStateCheckService {

    Page<ProcessStateVO> getProcessStateList(SchemeQueryDTO obj);

    Page<SwitchingSequenceVO> getSwitchingSequenceList(SchemeQueryDTO dto);

    SwitchingLoopCheckVO getSwitchCurrentDetail(SchemeQueryDTO dto);

    FinalStateCheckVO getFinalStateCheckDetail(SchemeQueryDTO dto);

    Page<SwitchingLoopSwVO> getSwitchingLoopSwCurrentList(SchemeQueryDTO dto);

    Page<SwitchingLoopSegVO> getSwitchingLoopSegCurrentList(SchemeQueryDTO dto);

    List<Map<String,Object>> getLoopSegCurrentListBySwitchingId(Long switchingId);


}
